set $monitor_main "primary"
set $monitor_vertical "nonprimary"
set $monitor_integrated "eDP-1"

workspace $ws1 output $monitor_main
workspace $ws2 output $monitor_main
workspace $ws3 output $monitor_main
workspace $ws4 output $monitor_main
workspace $ws5 output $monitor_main
workspace $ws6 output $monitor_main
workspace $ws7 output $monitor_vertical
workspace $ws8 output $monitor_vertical
workspace $ws9 output $monitor_integrated
workspace $ws10 output $monitor_integrated